﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EntityFrameworkAgain.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class CIS444Entities : DbContext
    {
        public CIS444Entities()
            : base("name=CIS444Entities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Tb_Product> Tb_Product { get; set; }
        public virtual DbSet<Tb_Supplier> Tb_Supplier { get; set; }
        public virtual DbSet<Tb_Transactions> Tb_Transactions { get; set; }
        public virtual DbSet<Tb_Validated_Supplier> Tb_Validated_Supplier { get; set; }
    }
}
